/* ------------------------------ */
/*         Globe Settings         */
/* ------------------------------ */
/* Hidden scrollbar */
html, body {
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE and Edge */
}
html::-webkit-scrollbar, body::-webkit-scrollbar { /* Chrome, Safari, Opera */
    display: none;
    width: 0 !important;
    height: 0 !important;
    background: transparent;
}

body .sitebg {
    background-position: center;
}

.page-footer {
    margin-bottom: 0;
}

/* 404 */
.md-text.error-page img#error {
    max-height: none;
}

/* ------------------------------ */
/*            Sidebar             */
/* ------------------------------ */
/* header */
.widget-wrapper .widget-header .name {
    display: flex;
    width: 100%;
}

.widget-wrapper .widget-header .cap-icon {
    line-height: 0;
    padding: 4px;
    margin-right: -6px;
    margin-left: auto;
}
.widget-wrapper .widget-header .cap-icon svg {
    width: 1rem;
    height: 1rem;
    color: var(--accent);
}

.cap-icon .lucide-heart-pulse {
    animation: icon-heart 1.33s ease-in-out infinite normal;
}

.cap-icon .lucide-megaphone {
    animation: icon-shake 1s linear 0s infinite normal;
}

.cap-icon .lucide-message-circle-more {
    animation: icon-fade 1s cubic-bezier(.4,0,.6,1) 0s infinite normal;
}

.cap-icon .lucide-message-square-text {
    animation: icon-bounce 1s cubic-bezier(.28,.84,.42,1) 0s infinite normal;   
}

/* animation */
@keyframes icon-shake {
    0% {
        transform: rotate(-15deg)
    }
    4% {
        transform: rotate(15deg)
    }
    8%,24% {
        transform: rotate(-18deg)
    }
    12%,28% {
        transform: rotate(18deg)
    }
    16% {
        transform: rotate(-22deg)
    }
    20% {
        transform: rotate(22deg)
    }
    32% {
        transform: rotate(-12deg)
    }
    36% {
        transform: rotate(12deg)
    }
    40%,to {
        transform: rotate(0deg)
    }
}

@keyframes icon-heart {
    0%, 100% {
        transform: scale(1);
    }
    10%, 30% {
        transform: scale(0.9);
    }
    20%, 40%, 60%, 80% {
        transform: scale(1.1);
    }
    50%, 70% {
        transform: scale(1.1);
    }
}

@keyframes icon-bounce {
    0% {
        transform: scale(1) translateY(0)
    }
    10% {
        transform: scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0)
    }
    30% {
        transform: scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em))
    }
    50% {
        transform: scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0)
    }
    57% {
        transform: scale(1) translateY(var(--fa-bounce-rebound,-.125em))
    }
    64% {
        transform: scale(1) translateY(0)
    }
    to {
        transform: scale(1) translateY(0)
    }
}

@keyframes icon-fade {
    50% {
        opacity: var(--fa-fade-opacity,.4)
    }
}

/*
animation: 
    name duration timing-function delay iteration-count direction fill-mode play-state;

.beat {
    animation: icon-beat 1s ease-in-out 0s infinite normal;
}
@keyframes icon-beat {
    0%,90% {
        transform: scale(1)
    }
    45% {
        transform: scale(var(--fa-beat-scale,1.25))
    }
}

.bounce {
    animation: icon-bounce 1s cubic-bezier(.28,.84,.42,1) 0s infinite normal;
}
@keyframes icon-bounce {
    0% {
        transform: scale(1) translateY(0)
    }
    10% {
        transform: scale(var(--fa-bounce-start-scale-x,1.1),var(--fa-bounce-start-scale-y,.9)) translateY(0)
    }
    30% {
        transform: scale(var(--fa-bounce-jump-scale-x,.9),var(--fa-bounce-jump-scale-y,1.1)) translateY(var(--fa-bounce-height,-.5em))
    }
    50% {
        transform: scale(var(--fa-bounce-land-scale-x,1.05),var(--fa-bounce-land-scale-y,.95)) translateY(0)
    }
    57% {
        transform: scale(1) translateY(var(--fa-bounce-rebound,-.125em))
    }
    64% {
        transform: scale(1) translateY(0)
    }
    to {
        transform: scale(1) translateY(0)
    }
}

.fade {
    animation: icon-fade 1s cubic-bezier(.4,0,.6,1) 0s infinite normal;
}
@keyframes icon-fade {
    50% {
        opacity: var(--fa-fade-opacity,.4)
    }
}

.beat-fade {
    animation: icon-beat-fade 1s cubic-bezier(.4,0,.6,1) 0s infinite normal;
}
@keyframes icon-beat-fade {
    0%,to {
        opacity: var(--fa-beat-fade-opacity,.4);
        transform: scale(1)
    }
    50% {
        opacity: 1;
        transform: scale(var(--fa-beat-fade-scale,1.125))
    }
}

.flip {
    animation: icon-flip 1s ease-in-out 0s infinite normal;
}
@keyframes icon-flip {
    50% {
        transform: rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))
    }
}

.shake {
    animation: icon-shake 1s linear 0s infinite normal;
}
@keyframes icon-shake {
    0% {
        transform: rotate(-15deg)
    }
    4% {
        transform: rotate(15deg)
    }
    8%,24% {
        transform: rotate(-18deg)
    }
    12%,28% {
        transform: rotate(18deg)
    }
    16% {
        transform: rotate(-22deg)
    }
    20% {
        transform: rotate(22deg)
    }
    32% {
        transform: rotate(-12deg)
    }
    36% {
        transform: rotate(12deg)
    }
    40%,to {
        transform: rotate(0deg)
    }
}
*/

/* body - welcome */
.widget-wrapper.markdown .widget-body #userAgentIp {
    filter: blur(3px);
    -moz-transition: all 0.2s ease-out;
    -webkit-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
    color: var(--accent);
}
.widget-wrapper.markdown .widget-body #userAgentIp:hover {
  filter: blur(0);
}
.widget-wrapper.markdown .widget-body #userLocation {
    font-weight: bold;
    color: var(--link);
}

/* body - tagcloud */
.widget-wrapper.tagcloud .widget-body a .count {
    vertical-align: super;
    font-size: 0.6em; 
}
.widget-wrapper.tagcloud .widget-body a::before {
    content: '#';
    color: grey;
}

/* ------------------------------ */
/*           Tag Plugin           */
/* ------------------------------ */
/* navbar */
.tag-plugin.navbar {
  flex-wrap: wrap;
}
span.tag-plugin.icon svg, span.tag-plugin.icon img {
    width: 1em;
    height: 1em;
}

/* checked box */
#checked-box {
    margin-left: 2em;
}
#checked-box .checkbox {
    width: fit-content;
    cursor: pointer;
    -webkit-user-select: none;
    user-select: none;
}

/* ------------------------------ */
/*   Privacy Cookies Copyright    */
/* ------------------------------ */
#info {
    width: 90%;
    margin: 0 auto;
    text-align: center;
}

#info th:first-child, #info td:first-child {
  width: 25%;
}
